Skip to main content
GET
List customers

Authorizations

Authorization
string
header
required

Partner-level JWT token (unscoped). Token payload includes partner_id. Business access is validated via partner ownership. Format: Bearer <your-jwt-token>

Use this for: Multi-business operations where the business_id is specified in the URL and partner has access to multiple businesses.

Path Parameters

business_id
string<uuid>
required

Business UUID provided by Thred (unique identifier for the business)

Query Parameters

external_id
string

The external ID of the customer to fetch (exact match).

external_id_contains
string

A case-insensitive substring used to filter customers whose external ID contains the specified value.

include_archived
boolean
default:false

Include archived customers in the response. Defaults to false.

name
string

The exact name of the customers to fetch (company or individual name).

name_contains
string

A case-insensitive substring used to filter customers whose name contains the specified value.

page
integer

Page number (1-indexed, default: 1)

page_size
integer

Number of items per page (default: 20, max: 100)

Response

count
integer
required

Total number of items

Example:

123

page_info
object
required
Example:
results
object[]
required